let gitHubIssueEvent = """
{
    "token": "v1.4ddacc59416d70c458010623f811cde494b290b5",
    "job": "pushToSNS",
    "ref": "refs/heads/main",
    "sha": "d14224e27187f19e5a5d340d87e3a2439da9ac55",
    "repository": "eneko/Blog",
    "repository_owner": "eneko",
    "repositoryUrl": "git://github.com/eneko/Blog.git",
    "run_id": "438598406",
    "run_number": "34",
    "retention_days": "90",
    "actor": "eneko",
    "workflow": "New Issue",
    "head_ref": "",
    "base_ref": "",
    "event_name": "issues",
    "event": {
      "action": "opened",
      "issue": {
        "active_lock_reason": null,
        "assignee": null,
        "assignees": [],
        "author_association": "OWNER",
        "body": "Rather than digging through the [`github` context](https://docs.github.com/en/free-pro-team@latest/actions/reference/context-and-expression-syntax-for-github-actions#github-context) in YAML, I decided to use [`toJSON()`](https://docs.github.com/en/free-pro-team@latest/actions/reference/context-and-expression-syntax-for-github-actions#tojson) to encode the entire context and send it to Amazon SQS.\\r\\n\\r\\n```yaml\\r\\nmessage: ${{ toJSON(github) }}\\r\\n```\\r\\n\\r\\nStill not sure if that will provide enough information to identify the [Activity Type](https://docs.github.com/en/free-pro-team@latest/actions/reference/events-that-trigger-workflows#issues) being performed in the issue.",
        "closed_at": null,
        "comments": 0,
        "comments_url": "https://api.github.com/repos/eneko/Blog/issues/4/comments",
        "created_at": "2020-12-22T17:50:07Z",
        "events_url": "https://api.github.com/repos/eneko/Blog/issues/4/events",
        "html_url": "https://github.com/eneko/Blog/issues/4",
        "id": 773133395,
        "labels": [
          {
            "color": "555555",
            "default": false,
            "description": "",
            "id": 2603821568,
            "name": "draft",
            "node_id": "MDU6TGFiZWwyNjAzODIxNTY4",
            "url": "https://api.github.com/repos/eneko/Blog/labels/draft"
          }
        ],
        "labels_url": "https://api.github.com/repos/eneko/Blog/issues/4/labels{/name}",
        "locked": false,
        "milestone": null,
        "node_id": "MDU6SXNzdWU3NzMxMzMzOTU=",
        "number": 4,
        "performed_via_github_app": null,
        "repository_url": "https://api.github.com/repos/eneko/Blog",
        "state": "open",
        "title": "Sending the entire GitHub Actions context to SQS",
        "updated_at": "2020-12-22T17:50:07Z",
        "url": "https://api.github.com/repos/eneko/Blog/issues/4",
        "user": {
          "avatar_url": "https://avatars2.githubusercontent.com/u/32922?v=4",
          "events_url": "https://api.github.com/users/eneko/events{/privacy}",
          "followers_url": "https://api.github.com/users/eneko/followers",
          "following_url": "https://api.github.com/users/eneko/following{/other_user}",
          "gists_url": "https://api.github.com/users/eneko/gists{/gist_id}",
          "gravatar_id": "",
          "html_url": "https://github.com/eneko",
          "id": 32922,
          "login": "eneko",
          "node_id": "MDQ6VXNlcjMyOTIy",
          "organizations_url": "https://api.github.com/users/eneko/orgs",
          "received_events_url": "https://api.github.com/users/eneko/received_events",
          "repos_url": "https://api.github.com/users/eneko/repos",
          "site_admin": false,
          "starred_url": "https://api.github.com/users/eneko/starred{/owner}{/repo}",
          "subscriptions_url": "https://api.github.com/users/eneko/subscriptions",
          "type": "User",
          "url": "https://api.github.com/users/eneko"
        }
      },
      "repository": {
        "archive_url": "https://api.github.com/repos/eneko/Blog/{archive_format}{/ref}",
        "archived": false,
        "assignees_url": "https://api.github.com/repos/eneko/Blog/assignees{/user}",
        "blobs_url": "https://api.github.com/repos/eneko/Blog/git/blobs{/sha}",
        "branches_url": "https://api.github.com/repos/eneko/Blog/branches{/branch}",
        "clone_url": "https://github.com/eneko/Blog.git",
        "collaborators_url": "https://api.github.com/repos/eneko/Blog/collaborators{/collaborator}",
        "comments_url": "https://api.github.com/repos/eneko/Blog/comments{/number}",
        "commits_url": "https://api.github.com/repos/eneko/Blog/commits{/sha}",
        "compare_url": "https://api.github.com/repos/eneko/Blog/compare/{base}...{head}",
        "contents_url": "https://api.github.com/repos/eneko/Blog/contents/{+path}",
        "contributors_url": "https://api.github.com/repos/eneko/Blog/contributors",
        "created_at": "2020-12-19T21:55:10Z",
        "default_branch": "main",
        "deployments_url": "https://api.github.com/repos/eneko/Blog/deployments",
        "description": null,
        "disabled": false,
        "downloads_url": "https://api.github.com/repos/eneko/Blog/downloads",
        "events_url": "https://api.github.com/repos/eneko/Blog/events",
        "fork": false,
        "forks": 0,
        "forks_count": 0,
        "forks_url": "https://api.github.com/repos/eneko/Blog/forks",
        "full_name": "eneko/Blog",
        "git_commits_url": "https://api.github.com/repos/eneko/Blog/git/commits{/sha}",
        "git_refs_url": "https://api.github.com/repos/eneko/Blog/git/refs{/sha}",
        "git_tags_url": "https://api.github.com/repos/eneko/Blog/git/tags{/sha}",
        "git_url": "git://github.com/eneko/Blog.git",
        "has_downloads": true,
        "has_issues": true,
        "has_pages": false,
        "has_projects": true,
        "has_wiki": false,
        "homepage": null,
        "hooks_url": "https://api.github.com/repos/eneko/Blog/hooks",
        "html_url": "https://github.com/eneko/Blog",
        "id": 322944795,
        "issue_comment_url": "https://api.github.com/repos/eneko/Blog/issues/comments{/number}",
        "issue_events_url": "https://api.github.com/repos/eneko/Blog/issues/events{/number}",
        "issues_url": "https://api.github.com/repos/eneko/Blog/issues{/number}",
        "keys_url": "https://api.github.com/repos/eneko/Blog/keys{/key_id}",
        "labels_url": "https://api.github.com/repos/eneko/Blog/labels{/name}",
        "language": "Swift",
        "languages_url": "https://api.github.com/repos/eneko/Blog/languages",
        "license": {
          "key": "mit",
          "name": "MIT License",
          "node_id": "MDc6TGljZW5zZTEz",
          "spdx_id": "MIT",
          "url": "https://api.github.com/licenses/mit"
        },
        "merges_url": "https://api.github.com/repos/eneko/Blog/merges",
        "milestones_url": "https://api.github.com/repos/eneko/Blog/milestones{/number}",
        "mirror_url": null,
        "name": "Blog",
        "node_id": "MDEwOlJlcG9zaXRvcnkzMjI5NDQ3OTU=",
        "notifications_url": "https://api.github.com/repos/eneko/Blog/notifications{?since,all,participating}",
        "open_issues": 4,
        "open_issues_count": 4,
        "owner": {
          "avatar_url": "https://avatars2.githubusercontent.com/u/32922?v=4",
          "events_url": "https://api.github.com/users/eneko/events{/privacy}",
          "followers_url": "https://api.github.com/users/eneko/followers",
          "following_url": "https://api.github.com/users/eneko/following{/other_user}",
          "gists_url": "https://api.github.com/users/eneko/gists{/gist_id}",
          "gravatar_id": "",
          "html_url": "https://github.com/eneko",
          "id": 32922,
          "login": "eneko",
          "node_id": "MDQ6VXNlcjMyOTIy",
          "organizations_url": "https://api.github.com/users/eneko/orgs",
          "received_events_url": "https://api.github.com/users/eneko/received_events",
          "repos_url": "https://api.github.com/users/eneko/repos",
          "site_admin": false,
          "starred_url": "https://api.github.com/users/eneko/starred{/owner}{/repo}",
          "subscriptions_url": "https://api.github.com/users/eneko/subscriptions",
          "type": "User",
          "url": "https://api.github.com/users/eneko"
        },
        "private": false,
        "pulls_url": "https://api.github.com/repos/eneko/Blog/pulls{/number}",
        "pushed_at": "2020-12-22T15:50:19Z",
        "releases_url": "https://api.github.com/repos/eneko/Blog/releases{/id}",
        "size": 17,
        "ssh_url": "git@github.com:eneko/Blog.git",
        "stargazers_count": 0,
        "stargazers_url": "https://api.github.com/repos/eneko/Blog/stargazers",
        "statuses_url": "https://api.github.com/repos/eneko/Blog/statuses/{sha}",
        "subscribers_url": "https://api.github.com/repos/eneko/Blog/subscribers",
        "subscription_url": "https://api.github.com/repos/eneko/Blog/subscription",
        "svn_url": "https://github.com/eneko/Blog",
        "tags_url": "https://api.github.com/repos/eneko/Blog/tags",
        "teams_url": "https://api.github.com/repos/eneko/Blog/teams",
        "trees_url": "https://api.github.com/repos/eneko/Blog/git/trees{/sha}",
        "updated_at": "2020-12-22T15:50:22Z",
        "url": "https://api.github.com/repos/eneko/Blog",
        "watchers": 0,
        "watchers_count": 0
      },
      "sender": {
        "avatar_url": "https://avatars2.githubusercontent.com/u/32922?v=4",
        "events_url": "https://api.github.com/users/eneko/events{/privacy}",
        "followers_url": "https://api.github.com/users/eneko/followers",
        "following_url": "https://api.github.com/users/eneko/following{/other_user}",
        "gists_url": "https://api.github.com/users/eneko/gists{/gist_id}",
        "gravatar_id": "",
        "html_url": "https://github.com/eneko",
        "id": 32922,
        "login": "eneko",
        "node_id": "MDQ6VXNlcjMyOTIy",
        "organizations_url": "https://api.github.com/users/eneko/orgs",
        "received_events_url": "https://api.github.com/users/eneko/received_events",
        "repos_url": "https://api.github.com/users/eneko/repos",
        "site_admin": false,
        "starred_url": "https://api.github.com/users/eneko/starred{/owner}{/repo}",
        "subscriptions_url": "https://api.github.com/users/eneko/subscriptions",
        "type": "User",
        "url": "https://api.github.com/users/eneko"
      }
    },
    "server_url": "https://github.com",
    "api_url": "https://api.github.com",
    "graphql_url": "https://api.github.com/graphql",
    "workspace": "/home/runner/work/Blog/Blog",
    "action": "isbangsqs-action",
    "event_path": "/home/runner/work/_temp/_github_workflow/event.json",
    "action_repository": "isbang/sqs-action",
    "action_ref": "v0.1.1",
    "path": "/home/runner/work/_temp/_runner_file_commands/add_path_ffd6d158-99f7-44bd-a8ce-6f52582d1afa",
    "env": "/home/runner/work/_temp/_runner_file_commands/set_env_ffd6d158-99f7-44bd-a8ce-6f52582d1afa"
}
"""
